<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>
	<PropertyGroup>
		<!-- Habilita datos de globalización (ICU) en WASM -->
		<InvariantGlobalization>false</InvariantGlobalization>
		<BlazorWebAssemblyLoadAllGlobalizationData>true</BlazorWebAssemblyLoadAllGlobalizationData>
	</PropertyGroup>

	<ItemGroup>
    <Compile Remove="Models\Stock\**" />
    <Compile Remove="wwwroot\css\fontawesome\**" />
    <Content Remove="Models\Stock\**" />
    <Content Remove="wwwroot\css\fontawesome\**" />
    <EmbeddedResource Remove="Models\Stock\**" />
    <EmbeddedResource Remove="wwwroot\css\fontawesome\**" />
    <None Remove="Models\Stock\**" />
    <None Remove="wwwroot\css\fontawesome\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Blazored.Modal" Version="7.3.1" />
    <PackageReference Include="Blazored.Toast" Version="4.2.1" />
    <PackageReference Include="Blazored.Typeahead" Version="4.7.0" />
    <PackageReference Include="Microsoft.AspNetCore.Components.Authorization" Version="8.0.6" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="8.0.6" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="8.0.6" PrivateAssets="all" />
    <PackageReference Include="PSC.Blazor.Components.Chartjs" Version="8.0.8" />
  </ItemGroup>

  <ItemGroup>
    <!--<ProjectReference Include="..\Core\Core.csproj" />-->
    <ProjectReference Include="..\Domain\Domain.csproj" />
  </ItemGroup>

</Project>
